Bug 20817 - Squid lässt keine (ldap) Authentifizierung mit Umlauten zu
Squid lässt keine (ldap) Authentifizierung mit Umlauten zu
Status: RESOLVED WONTFIX
Product: UCS
Classification: Unclassified
Component: Squid
UCS 2.3
Other Linux
: P5 normal (vote)
: ---
Assigned To: Squid maintainers
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-26 11:44 CET by Roman Asendorf
Modified: 2014-02-19 09:55 CET (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Asendorf univentionstaff 2010-11-26 11:44:58 CET
Wie aus einem System Review hervorging sind Umlaute in Benuzternamen und Passwörter problematisch bei der Squid-Authentifizierung gegen das LDAP.

Hierzu gibt es bereits einen Thread und einen verlinkten Patch unter:
http://www.spinics.net/lists/squid/msg31827.html

Wie der Squid-Dokumentation zu entnehmen ist, wurde der hierzu eingereichte Patch in Squid 3.2 eingefügt:
http://www.eu.squid-cache.org/Doc/config/auth_param/

Damit lässt sich in der Squid Konfiguration der Parameter
"auth_param basic|digest utf8 on|off" setzen.
Comment 1 Roman Asendorf univentionstaff 2010-11-26 11:46:29 CET
(In reply to comment #0)
> Wie aus einem System Review hervorging sind Umlaute in Benuzternamen und
> Passwörter problematisch bei der Squid-Authentifizierung gegen das LDAP.
> 
> Hierzu gibt es bereits einen Thread und einen verlinkten Patch unter:
> http://www.spinics.net/lists/squid/msg31827.html
> 
> Wie der Squid-Dokumentation zu entnehmen ist, wurde der hierzu eingereichte
> Patch in Squid 3.2 eingefügt:
> http://www.eu.squid-cache.org/Doc/config/auth_param/
> 
> Damit lässt sich in der Squid Konfiguration der Parameter
> "auth_param basic|digest utf8 on|off" setzen.

TYPO: Bereits ab Version 3.1 verfügbar.
Comment 2 Felix Botner univentionstaff 2011-12-20 16:15:31 CET
In UCS 3.0 ist das Verhalten wie folgt.

NTML Authentifizierung:

Umlaut in Benutzername/Passwort funktionieren (WINXP Client bzw. in UCS ntlm_auth auf der CLI, gibt es irgendeine Möglichkeit die ntlm Authentifizierung am Proxy über UCS per Browser zu testen?)

LPAP Authentifizierung:

In UCS ok.
Über Windows funktioniert das dann nicht, hier kommen im Proxy beim Benutzernamen (Passwort) falsch kodierte (?) Werte an (Benutzername üser):

1324393938.104      0 127.0.0.1 TCP_DENIED/407 4353 GET http://www.google.de/ - NONE/- text/html
1324393942.340     14 127.0.0.1 TCP_DENIED/407 4461 GET http://www.google.de/ %fcser NONE/- text/html



Es gibt also anscheinend nur Probleme, wenn die LDAP Authentifizierung von Windows Clients verwendet wird (praxisrelevant?)

Dies habe ich gar nicht verwendet:
BASIC, DIGEST: New parameter option utf8 on|off to permit helpers to selectively process UTF-8 characters even though HTTP accepts only ISO-8859-1.
Comment 3 Erik Damrose univentionstaff 2013-02-21 15:25:18 CET
UCS 3.1:
# ucr get squid/basicauth
yes
Getestet unter Windows7 IE9 - Benutzer ünivention:
TCP_DENIED/407 4270 GET http://www.google.de/ %fcnivention NONE/- text/html

-> bad encoding
Comment 4 Stefan Gohmann univentionstaff 2014-02-18 21:37:52 CET
This issue has been filed against UCS 2.3.

UCS 2.3 is out of maintenance and many UCS components have vastly changed in
later releases. Thus, this issue is now being closed.

If this issue still occurs in newer UCS versions, please use "Clone this bug".
In this case please provide detailed information on how this issue is affecting
you.